#include <QtGui>

#include "TimeZone.h"
#include "FileTimeZone.h"

int main(int , char **)
{
    FileTimeZone ftz;
    Q_ASSERT(ftz.baz());
    ftz.setBaz(false);
    if(ftz.baz() != false)
        qDebug() << "fail1";
    Q_ASSERT(ftz.baz() == false);

    TimeZone tz = ftz;

    FileTimeZone ftz2 = tz;
    Q_ASSERT(ftz2.isValid());
    if(! ftz2.isValid())
        qDebug() << "fail2";
    Q_ASSERT(ftz2.baz() == false);
    if(ftz2.baz())
        qDebug() << "fail3";
}
